(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[  82838343,    1362878]
NotebookOptionsPosition[  82832717,    1362777]
NotebookOutlinePosition[  82833154,    1362795]
CellTagsIndexPosition[  82833111,    1362792]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{"SetOptions", "[", 
  RowBox[{
   RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
   RowBox[{"CellContext", "\[Rule]", "Notebook"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetOptions", "[", 
  RowBox[{
   RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
   RowBox[{"OutputSizeLimit", "\[Rule]", "2000"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"SetOptions", "[", 
  RowBox[{
   RowBox[{"EvaluationNotebook", "[", "]"}], ",", 
   RowBox[{
   "EvaluationCompletionAction", " ", "\[Rule]", " ", 
    "\"\<ShowTiming\>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.7825385136493382`*^9, 3.7825385136493382`*^9}, {
  3.7825423799656076`*^9, 3.7825424151921587`*^9}, {3.783058149679407*^9, 
  3.7830581768649826`*^9}, {3.783058222846143*^9, 3.7830582640619965`*^9}, {
  3.783058324470029*^9, 3.783058329424338*^9}, {3.783058400135852*^9, 
  3.7830584464640703`*^9}, {3.7830585018001056`*^9, 3.783058512174651*^9}, {
  3.783058610858139*^9, 
  3.783058628981861*^9}},ExpressionUUID->"b7adf459-ffad-4ba5-a51e-\
0b683d395259"],

Cell[CellGroupData[{

Cell["Load Datafiles and Initialize", "Section",
 CellChangeTimes->{{3.6582152945505466`*^9, 3.658215312053296*^9}, {
  3.6582153683079214`*^9, 
  3.6582153732764177`*^9}},ExpressionUUID->"3b20734a-4810-47fa-8bbb-\
95dfa04c481e"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
  "CuboidFile", "=", 
   "\"\<C:\\\\Users\\\\3492265\\\\surfdrive\\\\Interpretation\\\\MATHEMATICA_\
CoarseCuboidDecomposition\\\\60mu_coarse_Cuboids\\\\FWInput-Cuboids_flipY3.\
txt\>\""}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "MTJScanFile", "=", 
   "\"\<C:\\\\Users\\\\3492265\\\\surfdrive\\\\Interpretation\\\\MATHEMATICA_\
Squid_Particle_Regrid\\\\Bz_60mu_nobinning.txt\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
   "SubGridOutFile", "=", 
    "\"\<C:\\\\Users\\\\3492265\\\\surfdrive\\\\Interpretation\\\\MATHEMATICA_\
Squid_Particle_Regrid\\\\Output\\\\SubOut-Bz_60mu_nobinning_04.txt\>\""}], 
   ";"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "SubGridMatrixFile", "=", 
   "\"\<C:\\\\Users\\\\3492265\\\\surfdrive\\\\Interpretation\\\\MATHEMATICA_\
Squid_Particle_Regrid\\\\Output\\\\BzUpGrid_60mu_nobinning_04.txt\>\""}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
  "SelectedCuboidFile", "=", 
   "\"\<C:\\\\Users\\\\3492265\\\\surfdrive\\\\Interpretation\\\\MATHEMATICA_\
CoarseCuboidDecomposition\\\\60mu_coarse_Cuboids\\\\FWInput-Cuboids_flipY3_\
select_02.txt\>\""}], " ", ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Oorspronkelijke", " ", "file"}], ",", " ", 
    RowBox[{
     RowBox[{
     "bekijken", " ", "in", " ", "kluizelaar", " ", "3673006", "\\\\", 
      "Dropbox", "\\\\", "QDM", " ", "MMT", "\\\\", "Mapping"}], "-", "CT", 
     "-", 
     RowBox[{"QDM", "\\\\", "Output", "\\\\", "Cuboids_", "30", 
      RowBox[{"mu", ".", "txt"}], "\"\< \>"}]}]}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.658217888739939*^9, 3.6582179273047953`*^9}, {
   3.6829168460252*^9, 3.682916879157095*^9}, {3.682916944757847*^9, 
   3.6829169466379547`*^9}, {3.6829170196471305`*^9, 
   3.6829170888700895`*^9}, {3.6829222481696787`*^9, 
   3.6829223049219246`*^9}, {3.682922508371561*^9, 3.682922511248726*^9}, {
   3.682924747592002*^9, 3.682924774164002*^9}, {3.682925066032002*^9, 
   3.682925114550002*^9}, {3.682925161446002*^9, 3.682925182335002*^9}, {
   3.682925245297002*^9, 3.6829252456920023`*^9}, {3.682925297749002*^9, 
   3.682925324268002*^9}, 3.6829446796099625`*^9, {3.6991861085318317`*^9, 
   3.699186153907421*^9}, {3.6991870114206095`*^9, 3.699187012436247*^9}, {
   3.6992447487558455`*^9, 3.6992447663788457`*^9}, 3.6992448233398457`*^9, {
   3.6996080009309*^9, 3.699608012309038*^9}, {3.699697127211433*^9, 
   3.699697141964908*^9}, {3.699793992954503*^9, 3.699793996870178*^9}, {
   3.704454065988804*^9, 3.704454084423725*^9}, {3.7045424573041763`*^9, 
   3.7045424710073657`*^9}, {3.7059058156219597`*^9, 3.705905868169588*^9}, {
   3.705913219266391*^9, 3.7059132255790787`*^9}, {3.7059132788767195`*^9, 
   3.705913283142406*^9}, {3.7060054300818787`*^9, 3.706005434106163*^9}, {
   3.706005882337039*^9, 3.706005895722654*^9}, {3.706095177122096*^9, 
   3.7060952521514792`*^9}, {3.7067041313703346`*^9, 
   3.7067041528716097`*^9}, {3.707066578881691*^9, 3.7070665818289723`*^9}, {
   3.707066614927001*^9, 3.707066622364703*^9}, {3.707737556356575*^9, 
   3.7077375697911158`*^9}, 3.7304571195808344`*^9, {3.7304571777146893`*^9, 
   3.730457233249977*^9}, {3.73045778691337*^9, 3.730457827426051*^9}, {
   3.7304580212931657`*^9, 3.730458023367939*^9}, {3.780893412324506*^9, 
   3.78089341602597*^9}, {3.782129648977539*^9, 3.7821296674329877`*^9}, {
   3.782133725082095*^9, 3.782133742715057*^9}, 3.782212659908782*^9, {
   3.782213378418376*^9, 3.782213378858164*^9}, {3.7824517680774083`*^9, 
   3.7824517691033115`*^9}, {3.782451926515913*^9, 3.7824519299578643`*^9}, 
   3.782453519634205*^9, {3.7824536695881004`*^9, 3.7824536898114424`*^9}, {
   3.7824537498967595`*^9, 3.7824537521488733`*^9}, {3.782453848824684*^9, 
   3.7824538524797974`*^9}, {3.7824545071339307`*^9, 3.782454509524257*^9}, {
   3.782454919464711*^9, 3.782454921289529*^9}, {3.78245497535632*^9, 
   3.7824549785586653`*^9}, {3.7824574556935177`*^9, 
   3.7824574605082917`*^9}, {3.7827311988390737`*^9, 3.782731200269225*^9}, {
   3.783168490790181*^9, 3.783168503398021*^9}, {3.783169472002598*^9, 
   3.7831694745466657`*^9}},ExpressionUUID->"a26b32be-5b00-4613-91c8-\
572af78c3c65"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Rot", "[", "p_", "]"}], "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Cos", "[", "p", "]"}], ",", 
       RowBox[{"Sin", "[", "p", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sin", "[", "p", "]"}]}], ",", 
       RowBox[{"Cos", "[", "p", "]"}]}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"TransformScan", "[", 
    RowBox[{"angle_", ",", "partPt_", ",", "scanPt_", ",", "sdat_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"R", "=", 
        RowBox[{"Rot", "[", 
         RowBox[{
          RowBox[{"angle", "/", "180."}], "*", "Pi"}], "]"}]}], ",", "x"}], 
      "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"x", "=", 
       RowBox[{"partPt", "-", 
        RowBox[{"R", ".", "scanPt"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"R", ".", 
             RowBox[{"#", "[", 
              RowBox[{"[", 
               RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], "+", "x"}], ")"}], 
          ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "&"}], "/@", "sdat"}]}]}],
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"erg", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"CuboidFile", ",", "\"\<Table\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"scan", "=", 
   RowBox[{"Import", "[", 
    RowBox[{"MTJScanFile", ",", "\"\<Table\>\""}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.657876234467759*^9, 3.6578762348747997`*^9}, {
   3.65821320147926*^9, 3.658213204639576*^9}, {3.658213235896702*^9, 
   3.6582132526603775`*^9}, {3.6582152895700483`*^9, 
   3.6582152901931105`*^9}, {3.658215354579549*^9, 3.6582153629963903`*^9}, {
   3.658217899696035*^9, 3.6582179333373985`*^9}, 3.682925296331002*^9, {
   3.699187018998811*^9, 3.6991870200144725`*^9}, {3.69918708535156*^9, 
   3.6991870889027557`*^9}, {3.7822127052329063`*^9, 3.782212719608374*^9}, 
   3.782214926023471*^9, {3.7822183355041003`*^9, 3.78221833620571*^9}, 
   3.782455232871359*^9, 3.782455480360242*^9, {3.782542160076169*^9, 
   3.7825421605898*^9}, 
   3.7827269038899107`*^9},ExpressionUUID->"8a08f536-efd2-4585-9fcb-\
7305d766f07a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SubGridBounds", " ", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}], " ", ",", " ", 
    RowBox[{"{", 
     RowBox[{"1400", ",", " ", "1700"}], "}"}]}], "}"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"This", " ", "one", " ", "is", " ", "redefined", " ", "below"}], 
    ",", " ", 
    RowBox[{"why", " ", 
     RowBox[{"doesn", "'"}], "t", " ", "that", " ", "create", " ", "a", " ", 
     RowBox[{"problem", "?"}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.704454483785006*^9, 3.704454485988161*^9}, {
   3.7044545268793383`*^9, 3.704454533051283*^9}, {3.7044548345242653`*^9, 
   3.704454836307021*^9}, {3.7821333152031145`*^9, 3.78213331762064*^9}, {
   3.7822134547634964`*^9, 3.7822134556780014`*^9}, {3.782213534888713*^9, 
   3.78221361065114*^9}, {3.7822136680170345`*^9, 3.7822136744697957`*^9}, {
   3.7822185495236783`*^9, 3.782218551929247*^9}, {3.782218806625442*^9, 
   3.782218809196533*^9}, {3.782219855168829*^9, 3.7822198612614603`*^9}, {
   3.7824494459671855`*^9, 3.7824494607137637`*^9}, {3.782449728031972*^9, 
   3.7824497380404406`*^9}, {3.7824533889279757`*^9, 
   3.7824534226822195`*^9}, {3.7824534724681253`*^9, 
   3.7824534757177725`*^9}, {3.7824535899494247`*^9, 
   3.7824536292933507`*^9}, {3.7824542463167853`*^9, 
   3.7824542510812798`*^9}, {3.7824542947155476`*^9, 
   3.7824542981366396`*^9}, {3.7824544022438693`*^9, 
   3.7824544050400195`*^9}, {3.782454435827332*^9, 3.782454464767373*^9}, {
   3.782454526832468*^9, 3.782454529683814*^9}, {3.7824576523365135`*^9, 
   3.7824576540212545`*^9}, 3.7825421772364945`*^9, {3.783070183979664*^9, 
   3.7830701970977387`*^9}, {3.78307081314917*^9, 
   3.783070817907846*^9}},ExpressionUUID->"d9b124a4-1506-471b-9347-\
8f7c8380d562"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1400", ",", "1700"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.782453384663316*^9, 3.7824534250095553`*^9}, {
   3.7824534777637997`*^9, 3.7824534922136655`*^9}, 3.782453593680668*^9, 
   3.782453700933577*^9, 3.782453765848463*^9, 3.7824538649456587`*^9, 
   3.7824539027121253`*^9, 3.7824542240914583`*^9, 3.782454255142805*^9, 
   3.7824543096752357`*^9, {3.782454360638977*^9, 3.7824544078514614`*^9}, {
   3.782454441419487*^9, 3.7824544662355137`*^9}, 3.7824545313548374`*^9, 
   3.782454938019911*^9, 3.782454991091708*^9, 3.7824573529914885`*^9, 
   3.782457474740383*^9, 3.78253854495014*^9, 3.7825385826108913`*^9, 
   3.782726919605879*^9, 3.7827269875315514`*^9, 3.7827311575408444`*^9, 
   3.782731208870648*^9, 3.7828052571233253`*^9, 3.782811819524934*^9, 
   3.78305807430976*^9, 3.783160522243083*^9, 3.7831686054937463`*^9, 
   3.7833333818639927`*^9, 
   3.7834050458482656`*^9},ExpressionUUID->"f5e1d7c6-4716-46f7-ac20-\
55a2bf72c1bb"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SubGridBounds", "-", 
  RowBox[{"{", 
   RowBox[{"100", ",", "1000"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.704454860509998*^9, 3.704454872869512*^9}, 
   3.73045838050976*^9},ExpressionUUID->"51376003-08b6-44b3-ab74-\
d43089eaf620"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "100"}], ",", 
     RowBox[{"-", "100"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"400", ",", "700"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7044548738069396`*^9, 3.7045259706071167`*^9, 3.7045428473955083`*^9, 
   3.704543223821621*^9, 3.7045437822498145`*^9, 3.7045440821281767`*^9, 
   3.70454466096284*^9, 3.704824382261977*^9, 3.704825713801474*^9, 
   3.704827829945032*^9, 3.7049104701304207`*^9, 3.704911498744442*^9, 
   3.705134470134287*^9, 3.7059222347492476`*^9, 3.7059242209985704`*^9, 
   3.7059481005136347`*^9, 3.706005662928858*^9, 3.706005910787712*^9, 
   3.7060962919189496`*^9, 3.706769459099005*^9, 3.70676950348267*^9, 
   3.7067950411501875`*^9, 3.706796634238562*^9, 3.7067970204631433`*^9, 
   3.7070670651547117`*^9, 3.707069893089227*^9, 3.707116405280905*^9, 
   3.707127723995907*^9, {3.707131259385846*^9, 3.7071312876280775`*^9}, 
   3.707737883101225*^9, 3.70773960914695*^9, 3.707740252958438*^9, 
   3.7077410110527153`*^9, 3.707741655503907*^9, 3.709572536408655*^9, 
   3.709575390331107*^9, 3.710004324966938*^9, 3.7137201056178446`*^9, 
   3.7821299193102922`*^9, 3.782133767604802*^9, 3.782213460685638*^9, 
   3.782213595060789*^9, 3.782213677250373*^9, 3.7822185651439543`*^9, 
   3.7822188134224668`*^9, 3.782219866151334*^9, 3.7824494642911205`*^9, 
   3.782449658907344*^9, 3.78244974497198*^9, 3.782451788575059*^9, 
   3.782451948344777*^9, 3.7824531999319644`*^9, {3.78245339770724*^9, 
   3.782453426103059*^9}, 3.7824534934165277`*^9, 3.7824535954146495`*^9, 
   3.7824537036516666`*^9, 3.7824537683322697`*^9, 3.782453866507798*^9, 
   3.7824539032744784`*^9, {3.7824542314022512`*^9, 3.782454256283164*^9}, 
   3.7824543107531652`*^9, {3.782454361701228*^9, 3.782454411850522*^9}, {
   3.7824544428722982`*^9, 3.782454467391491*^9}, 3.78245453255768*^9, 
   3.7824549395976562`*^9, 3.7824549920134163`*^9, 3.782457353890232*^9, 
   3.782457476090287*^9, 3.7825385469652896`*^9, 3.782538583532548*^9, 
   3.782726920980311*^9, 3.7827269885383406`*^9, 3.7827311594923706`*^9, 
   3.782731209541047*^9, 3.782805257967416*^9, 3.782811820627956*^9, 
   3.7830580764970837`*^9, 3.783160522272005*^9, 3.7831686073906155`*^9, 
   3.783333383126669*^9, 
   3.783405047130862*^9},ExpressionUUID->"7d7f6156-ecd2-4e4c-91a8-\
bccc56eb548b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Transpose", "[", "SubGridBounds", "]"}]], "Input",ExpressionUUID->"8dfcfd3a-a878-4305-a3d3-aa8e53f8b430"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "1400"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "1700"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.7044551993342967`*^9, 3.7045259706539984`*^9, 3.7045428474267387`*^9, 
   3.704543223852857*^9, 3.704543782281037*^9, 3.7045440821750746`*^9, 
   3.704544661009737*^9, 3.704824382310017*^9, 3.704825713843975*^9, 
   3.7048278299875536`*^9, 3.7049104701634464`*^9, 3.7049114987784624`*^9, 
   3.7051344701788177`*^9, 3.7059222347804956`*^9, 3.705924221029814*^9, 
   3.7059481005448895`*^9, 3.706005662980853*^9, 3.7060059108437214`*^9, 
   3.706096291959553*^9, 3.706769459177108*^9, 3.7067695035295463`*^9, 
   3.706795041221739*^9, 3.7067966342854395`*^9, 3.7067970204943666`*^9, 
   3.707067065201587*^9, 3.7070698931302557`*^9, 3.707116405340907*^9, 
   3.707127724039943*^9, {3.7071312594170823`*^9, 3.7071312876593328`*^9}, 
   3.707737883132448*^9, 3.7077396091818557`*^9, 3.707740253208441*^9, 
   3.7077410110867305`*^9, 3.7077416555351305`*^9, 3.7095725364398785`*^9, 
   3.7095753903623595`*^9, 3.710004324998208*^9, 3.713720105649122*^9, 
   3.782129921098486*^9, 3.782133767651678*^9, 3.782213461811635*^9, 
   3.782213596156109*^9, 3.7822136782796135`*^9, 3.7822185665042505`*^9, 
   3.7822188159673395`*^9, 3.782219868152585*^9, 3.7824494654157834`*^9, 
   3.7824496598617945`*^9, 3.782449745816902*^9, 3.782451790063612*^9, 
   3.7824519491934285`*^9, 3.782453201478475*^9, {3.7824533987070146`*^9, 
   3.7824534269934835`*^9}, 3.7824534943538103`*^9, 3.7824535963988028`*^9, 
   3.782453704760784*^9, 3.782453769550732*^9, 3.782453867398217*^9, 
   3.782453903805606*^9, {3.7824542323082895`*^9, 3.782454257111104*^9}, 
   3.78245431183102*^9, {3.782454363200905*^9, 3.7824544132876863`*^9}, {
   3.782454443872035*^9, 3.7824544686568193`*^9}, 3.782454533370187*^9, 
   3.7824549404724503`*^9, 3.782454992825677*^9, 3.7824573546329937`*^9, 
   3.7824574769134173`*^9, 3.7825385478088927`*^9, 3.782538583994835*^9, 
   3.782726921747611*^9, 3.7827269893487005`*^9, 3.7827311605823617`*^9, 
   3.7827312101910477`*^9, 3.7828052588524513`*^9, 3.7828118214179735`*^9, 
   3.7830580775907726`*^9, 3.7831605223547864`*^9, 3.783168608228374*^9, 
   3.7833333838985906`*^9, 
   3.7834050479476337`*^9},ExpressionUUID->"e3d29d79-be5a-4cf9-a50c-\
a01a9b1d5992"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Inbounds", "[", 
   RowBox[{"Bounds_", ",", "coords_"}], "]"}], ":=", 
  RowBox[{"And", "@@", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"Times", "@@", "#"}], ")"}], "\[LessEqual]", "0"}], ")"}], 
      "&"}], "/@", 
     RowBox[{"(", 
      RowBox[{"Bounds", "-", 
       RowBox[{"coords", "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], ")"}]}], 
    ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"voxscale", "=", "0.6638"}], 
  RowBox[{"(*", " ", 
   RowBox[{"voxel", " ", "size", " ", "in", " ", "microns"}], "*)"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mupos", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"#", "*", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"Table", "[", 
          RowBox[{"voxscale", ",", 
           RowBox[{"{", "6", "}"}]}], "]"}], ",", "1"}], "]"}]}], ")"}], 
     "&"}], "/@", "erg"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.7044544519548864`*^9, 3.7044545084884377`*^9}, {
  3.704454547238944*^9, 3.704454562223488*^9}, {3.7044546400038233`*^9, 
  3.7044547423173857`*^9}, {3.7044549041133966`*^9, 3.7044549085979185`*^9}, {
  3.7044552820406475`*^9, 3.7044552889157248`*^9}, {3.7044553435413094`*^9, 
  3.704455347072567*^9}, {3.7831685331899586`*^9, 
  3.783168533406378*^9}},ExpressionUUID->"dff936d6-a397-40b4-81fa-\
0292e33564f7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Union", "[", 
  RowBox[{
   RowBox[{"Select", "[", 
    RowBox[{"mupos", ",", 
     RowBox[{
      RowBox[{"Inbounds", "[", 
       RowBox[{
        RowBox[{"Transpose", "[", "SubGridBounds", "]"}], ",", "#"}], "]"}], 
      "&"}]}], "]"}], "[", 
   RowBox[{"[", 
    RowBox[{";;", ",", 
     RowBox[{"-", "1"}]}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7044545662390623`*^9, 3.7044545970512204`*^9}, {
  3.70445475989528*^9, 3.70445479763456*^9}, {3.7044551110466394`*^9, 
  3.704455156186739*^9}, {3.7044559380886106`*^9, 3.7044559395417557`*^9}, {
  3.7822139080286036`*^9, 
  3.782213909972452*^9}},ExpressionUUID->"9deb4f5e-eb35-4e48-a30c-\
59fdbfa72166"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
          "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", 
           ",", "8", ",", "9", ",", "10", ",", "11", ",", "12", ",", "13", 
           ",", "14", ",", "15", ",", "16", ",", "17", ",", "18", ",", "19", 
           ",", "20", ",", "21", ",", "22", ",", "23", ",", "24", ",", "25", 
           ",", "26", ",", "27", ",", "28", ",", "29", ",", "30", ",", "31", 
           ",", "32", ",", "33", ",", "34", ",", "35", ",", "36", ",", "37", 
           ",", "38", ",", "39", ",", "40", ",", "41", ",", "42", ",", "43", 
           ",", "44", ",", "45", ",", "46", ",", "47", ",", "48", ",", "49", 
           ",", "50", ",", "51", ",", "52", ",", "53", ",", "54", ",", "55", 
           ",", "56", ",", "57", ",", "58", ",", "59", ",", "60", ",", "61", 
           ",", "62", ",", "63", ",", "64", ",", "65", ",", "66", ",", "67", 
           ",", "68", ",", "69", ",", "70", ",", "71", ",", "72", ",", "73", 
           ",", "74", ",", "75", ",", "76", ",", "77", ",", "78", ",", "79", 
           ",", "80", ",", "81", ",", "82", ",", "83", ",", "84", ",", "85", 
           ",", "86", ",", "87", ",", "88", ",", "89", ",", "90", ",", "91", 
           ",", "92", ",", "93", ",", "94", ",", "95", ",", "96", ",", "97", 
           ",", "98", ",", "99", ",", "100", ",", "101", ",", "102", ",", 
           "103", ",", "104", ",", "105", ",", "106", ",", "107", ",", "108", 
           ",", "109", ",", "110", ",", "111", ",", "112", ",", "113", ",", 
           "114", ",", "115", ",", "116", ",", 
           TemplateBox[{"8723"},
            "OutputSizeLimit`Skeleton"], ",", "8840", ",", "8841", ",", 
           "8842", ",", "8843", ",", "8844", ",", "8845", ",", "8846", ",", 
           "8847", ",", "8848", ",", "8849", ",", "8850", ",", "8851", ",", 
           "8852", ",", "8853", ",", "8854", ",", "8855", ",", "8856", ",", 
           "8857", ",", "8858", ",", "8859", ",", "8860", ",", "8861", ",", 
           "8862", ",", "8863", ",", "8864", ",", "8865", ",", "8866", ",", 
           "8867", ",", "8868", ",", "8869", ",", "8870", ",", "8871", ",", 
           "8872", ",", "8873", ",", "8874", ",", "8875", ",", "8876", ",", 
           "8877", ",", "8878", ",", "8879", ",", "8880", ",", "8881", ",", 
           "8882", ",", "8883", ",", "8884", ",", "8885", ",", "8886", ",", 
           "8887", ",", "8888", ",", "8889", ",", "8890", ",", "8891", ",", 
           "8892", ",", "8893", ",", "8894", ",", "8895", ",", "8896", ",", 
           "8897", ",", "8898", ",", "8899", ",", "8900", ",", "8901", ",", 
           "8902", ",", "8903", ",", "8904", ",", "8905", ",", "8906", ",", 
           "8907", ",", "8908", ",", "8909", ",", "8910", ",", "8911", ",", 
           "8912", ",", "8913", ",", "8914", ",", "8915", ",", "8916", ",", 
           "8917", ",", "8918", ",", "8919", ",", "8920", ",", "8921", ",", 
           "8922", ",", "8923", ",", "8924", ",", "8925", ",", "8926", ",", 
           "8927", ",", "8928", ",", "8929", ",", "8930", ",", "8931", ",", 
           "8932", ",", "8933", ",", "8934", ",", "8935", ",", "8936", ",", 
           "8937", ",", "8938", ",", "8939", ",", "8940", ",", "8941", ",", 
           "8942", ",", "8943", ",", "8944", ",", "8945", ",", "8946", ",", 
           "8947", ",", "8948", ",", "8949", ",", "8950", ",", "8951", ",", 
           "8952", ",", "8953", ",", "8954", ",", "8955"}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLText",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 39, 28225997122050767836, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 39, 28225997122050767836, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 39, 28225997122050767836, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[28225997122050767836 === $SessionID, 
   Out[39], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{
  3.70706706578191*^9, 3.707069894272091*^9, 3.707116405850941*^9, 
   3.7071277243862195`*^9, {3.707131260417101*^9, 3.707131288643715*^9}, 
   3.7077378841324697`*^9, 3.707739614098189*^9, 3.7077402585433025`*^9, 
   3.707741015720373*^9, 3.7077416612918053`*^9, 3.7095725375492764`*^9, 
   3.709575395190152*^9, 3.7100043257013454`*^9, 3.713720106055377*^9, 
   3.782129925116413*^9, 3.782133770900076*^9, 3.7822134658189387`*^9, 
   3.7822135994161444`*^9, 3.7822136806811953`*^9, 3.7822185693256145`*^9, 
   3.782218850572118*^9, 3.782219874698929*^9, 3.782449473023341*^9, 
   3.782449665901249*^9, 3.7824497481325192`*^9, 3.782451792512001*^9, 
   3.782451951476979*^9, 3.782451997476872*^9, 3.782453203944735*^9, {
   3.7824534017647977`*^9, 3.782453454043425*^9}, {3.782453497185835*^9, 
   3.7824535141820107`*^9}, 3.7824535988513746`*^9, 3.782453707213378*^9, 
   3.7824537718783264`*^9, 3.782453871928421*^9, 3.782453905492716*^9, {
   3.7824542347764645`*^9, 3.7824542605009255`*^9}, 3.7824543162362013`*^9, {
   3.782454369577883*^9, 3.7824544155684013`*^9}, {3.7824544459184313`*^9, 
   3.782454470718835*^9}, 3.782454535572597*^9, 3.7824549431280794`*^9, 
   3.7824549948252077`*^9, 3.7824573569303174`*^9, 3.782457488788956*^9, 
   3.782538549346981*^9, 3.782538585588148*^9, {3.782726924138157*^9, 
   3.7827269471688194`*^9}, 3.7827269934399157`*^9, 3.7827311649247975`*^9, 
   3.782731214131741*^9, 3.7827312591246777`*^9, 3.782805264960896*^9, {
   3.7828118043656793`*^9, 3.7828118255221987`*^9}, 3.7830580834340935`*^9, 
   3.7830581702092047`*^9, 3.7830582730300827`*^9, 3.7831605245241833`*^9, 
   3.783168612309719*^9, 3.78333338674731*^9, 
   3.783405050639105*^9},ExpressionUUID->"83b3e53c-baa8-4ea1-8ef7-\
159b0484201f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"erg", "[", 
   RowBox[{"[", 
    RowBox[{"500", ";;", "503"}], "]"}], "]"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Hij", " ", "leest", " ", "hier", " ", "regels", " ", "500", " ", 
     RowBox[{"t", "/", "m"}], " ", "503", " ", "uit", " ", "de", " ", 
     "FWInput"}], "-", "Cuboids", "-", 
    RowBox[{
     RowBox[{"min_head", ".", " ", "Waarom"}], " ", "specifiek", " ", "die", 
     " ", 
     RowBox[{"regels", "?"}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.7044549474111834`*^9, 3.7044549872467446`*^9}, {
   3.7824548490090203`*^9, 3.782454860999159*^9}, 3.782455006494788*^9, {
   3.782455372982133*^9, 
   3.782455413969894*^9}},ExpressionUUID->"5aeca270-1975-41a7-b38a-\
f67f2d61e8bf"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "144.456177`", ",", "1425.483264`", ",", "29.39980681`", ",", 
             "1.479370063`", ",", "1.479370063`", ",", "1.479370063`", ",", 
             "1039"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "144.456177`", ",", "1416.607044`", ",", "20.52358644`", ",", 
             "1.479370063`", ",", "1.479370063`", ",", "1.479370063`", ",", 
             "1039"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "147.4149171`", ",", "1425.483264`", ",", "20.52358644`", ",", 
             "1.479370063`", ",", "1.479370063`", ",", "1.479370063`", ",", 
             "1039"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "1876.511735`", ",", "109.9971891`", ",", "11.98791061`", ",", 
             "4.447194216`", ",", "2.964796144`", ",", "2.964796144`", ",", 
             "103"}], "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLText",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 40, 28225997122050767836, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 40, 28225997122050767836, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 40, 28225997122050767836, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[28225997122050767836 === $SessionID, 
   Out[40], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{{3.782454966389634*^9, 3.782455038765487*^9}, {
   3.7824551626448345`*^9, 3.7824551660346575`*^9}, 3.782455456350563*^9, 
   3.7824573585237484`*^9, 3.782457492835719*^9, {3.7825385627792916`*^9, 
   3.7825385881032143`*^9}, 3.782726926655242*^9, 3.782726995062648*^9, 
   3.782731174124762*^9, {3.7827312142617707`*^9, 3.7827312214917545`*^9}, 
   3.782731260364643*^9, 3.782805268716116*^9, 3.7828118269329295`*^9, 
   3.7830582766818595`*^9, 3.783160524618932*^9, 3.7831686155212064`*^9, 
   3.7833333882214003`*^9, 
   3.7834050522254343`*^9},ExpressionUUID->"f4c66af1-349e-40b8-b704-\
417c49b0047a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"mupos", "[", 
   RowBox[{"[", 
    RowBox[{"1", ";;", "5"}], "]"}], "]"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Hij", " ", "leest", " ", "hier", " ", "regels", " ", "1", " ", 
     RowBox[{"t", "/", "m"}], " ", "5", " ", "uit", " ", "Mupos"}], ",", " ", 
    RowBox[{"Waarom", "?"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.704454329561771*^9, 3.7044543736200314`*^9}, {
  3.7044559227964134`*^9, 3.704455924405737*^9}, {3.7824555054035654`*^9, 
  3.782455520837224*^9}, {3.7824574231281567`*^9, 3.782457433591282*^9}, {
  3.782538754387483*^9, 3.7825387728041015`*^9}, {3.782538879738336*^9, 
  3.782538881769497*^9}, {3.7827311913277216`*^9, 3.7827311918375454`*^9}, {
  3.782731233801551*^9, 
  3.7827312708163433`*^9}},ExpressionUUID->"0ac21e47-5581-4bb8-802e-\
748211d91069"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "1199.4552772694`", ",", "254.15878028758`", ",", 
             "9.693628348871998`", ",", "0.9997807835179999`", ",", 
             "0.9997807835179999`", ",", "1.9995615663721997`", ",", "1000"}],
             "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "1197.4557158484`", ",", "252.15921866743997`", ",", 
             "10.693409132389998`", ",", "0.9997807835179999`", ",", 
             "0.9997807835179999`", ",", "0.9997807835179999`", ",", "1000"}],
             "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "1198.1687850757999`", ",", "248.96022627288`", ",", 
             "9.939386870198`", ",", "1.2493194321004`", ",", 
             "0.6246597160502`", ",", "0.6246597160502`", ",", "1001"}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "1198.7934447725997`", ",", "250.20954566647998`", ",", 
             "8.690067443408`", ",", "0.6246597160502`", ",", 
             "0.6246597160502`", ",", "0.6246597160502`", ",", "1001"}], 
            "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
            "1223.6788832681998`", ",", "244.51263689825996`", ",", 
             "8.959092924741999`", ",", "1.0197019545494`", ",", 
             "1.0197019545494`", ",", "1.0197019545494`", ",", "1002"}], 
            "}"}]}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLText",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 41, 28225997122050767836, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 41, 28225997122050767836, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 41, 28225997122050767836, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[28225997122050767836 === $SessionID, 
   Out[41], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{
  3.707067065969384*^9, 3.7070698944862156`*^9, 3.7071164060693254`*^9, 
   3.7071277245473886`*^9, {3.707131260620228*^9, 3.707131288799992*^9}, 
   3.707737884382465*^9, 3.707739614254422*^9, 3.7077402587142143`*^9, 
   3.707741015982995*^9, 3.707741661478138*^9, 3.709572537814925*^9, 
   3.709575395351291*^9, 3.710004325888827*^9, 3.7137201061959844`*^9, 
   3.7821299321256084`*^9, 3.7821337808684177`*^9, 3.78221866650963*^9, 
   3.7822188576136665`*^9, 3.7822198805215735`*^9, 3.7822199164596214`*^9, 
   3.782449672675911*^9, 3.782449771147828*^9, 3.782451798462504*^9, 
   3.782453257951009*^9, 3.7824534482634773`*^9, 3.7824535361484456`*^9, 
   3.782453638041338*^9, 3.78245371105621*^9, 3.7824537822040606`*^9, 
   3.7824538747558947`*^9, 3.782453908148353*^9, 3.7824543957357483`*^9, {
   3.782454451104714*^9, 3.782454480654004*^9}, 3.7824545422585697`*^9, {
   3.7824554290226555`*^9, 3.7824554583969264`*^9}, 3.782457359643717*^9, 
   3.7824574945865936`*^9, {3.7825385593446198`*^9, 3.7825385888373814`*^9}, 
   3.7827269276127367`*^9, 3.7827269959600463`*^9, 3.7827311753147397`*^9, 
   3.782731223032173*^9, 3.7827312615450506`*^9, 3.7828052704575815`*^9, 
   3.782811827823869*^9, 3.783058286000307*^9, 3.7831605246668158`*^9, 
   3.783168616953368*^9, 3.783333391676593*^9, 
   3.783405053297282*^9},ExpressionUUID->"327e5a89-29d9-40e8-bbd2-\
7580f59b79b5"]
}, Open  ]],

Cell["\<\
NB. Hij lijkt het alleen te doen als je eerst een keer door de errors heen \
runt, tot en met hieronder en dan nog nogmaals runt. Maar dat is toch \
omslachtig?\
\>", "Text",
 CellChangeTimes->{{3.7825388961551*^9, 
  3.7825389172474585`*^9}},ExpressionUUID->"00289384-f42d-4525-b099-\
dd3f8f89da2a"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Define Voxel scale and plot particle grid", "Section",
 CellChangeTimes->{{3.658215385922683*^9, 
  3.658215417040794*^9}},ExpressionUUID->"6a870383-6543-452e-9e20-\
cc6f3af1f7bb"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"AllParticles", "=", 
   RowBox[{"Union", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", 
        RowBox[{"-", "1"}], "]"}], "]"}], "&"}], "/@", "mupos"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ChosenParticles", " ", "=", " ", 
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", ",", 
      "8", ",", "9", ",", "10", ",", "11", ",", "12", ",", "13", ",", "14", 
      ",", "15", ",", "16", ",", "17", ",", "18", ",", "19", ",", "20", ",", 
      "21", ",", "22", ",", "23", ",", "24", ",", "25", ",", "26", ",", "27", 
      ",", "28", ",", "29", ",", "30", ",", "31", ",", "32", ",", "33", ",", 
      "34", ",", "35", ",", "36", ",", "37", ",", "38", ",", "39", ",", "40", 
      ",", "41", ",", "42", ",", "43", ",", "44", ",", "45", ",", "46", ",", 
      "47", ",", "48", ",", "49", ",", "50", ",", "51", ",", "52", ",", "53", 
      ",", "54", ",", "55", ",", "56", ",", "57", ",", "58", ",", "59", ",", 
      "60", ",", "61", ",", "62", ",", "63", ",", "64", ",", "65", ",", "66", 
      ",", "67", ",", "68", ",", "69", ",", "70", ",", "71", ",", "72", ",", 
      "73", ",", "74", ",", "75", ",", "76", ",", "77", ",", "78", ",", "79", 
      ",", "80", ",", "81", ",", "82", ",", "83", ",", "84", ",", "85", ",", 
      "86", ",", "87", ",", "88", ",", "89", ",", "90", ",", "91", ",", "92", 
      ",", "93", ",", "94", ",", "95", ",", "96", ",", "97", ",", "98", ",", 
      "99", ",", "100", ",", "101", ",", "102", ",", "103", ",", "104", ",", 
      "105", ",", "106", ",", "107", ",", "108", ",", "109", ",", "110", ",", 
      "111", ",", "112", ",", "113", ",", "114", ",", "115", ",", "116", ",", 
      "117", ",", "118", ",", "119", ",", "120", ",", "121", ",", "122", ",", 
      "123", ",", "124", ",", "125", ",", "126", ",", "127", ",", "128", ",", 
      "130", ",", "131", ",", "132", ",", "133", ",", "134", ",", "135", ",", 
      "136", ",", "137", ",", "138", ",", "139", ",", "140", ",", "141", ",", 
      "142", ",", "143", ",", "144", ",", "145", ",", "146", ",", "147", ",", 
      "148", ",", "149", ",", "150", ",", "151", ",", "152", ",", "153", ",", 
      "154", ",", "155", ",", "156", ",", "157", ",", "158", ",", "159", ",", 
      "160", ",", "161", ",", "162", ",", "163", ",", "164", ",", "165", ",", 
      "166", ",", "167", ",", "168", ",", "169", ",", "170", ",", "171", ",", 
      "172", ",", "173", ",", "174", ",", "175", ",", "176", ",", "177", ",", 
      "178", ",", "179", ",", "180", ",", "181", ",", "182", ",", "183", ",", 
      "184", ",", "185", ",", "186", ",", "187", ",", "188", ",", "189", ",", 
      "190", ",", "191", ",", "192", ",", "193", ",", "194", ",", "195", ",", 
      "196", ",", "197", ",", "198", ",", "199", ",", "200", ",", "201", ",", 
      "202", ",", "203", ",", "204", ",", "205", ",", "206", ",", "207", ",", 
      "208", ",", "209", ",", "210", ",", "211", ",", "212", ",", "213", ",", 
      "214", ",", "215", ",", "216", ",", "217", ",", "218", ",", "219", ",", 
      "220", ",", "221", ",", "222", ",", "223", ",", "224", ",", "225", ",", 
      "226", ",", "227", ",", "228", ",", "229", ",", "230", ",", "231", ",", 
      "232", ",", "233", ",", "234", ",", "235", ",", "236", ",", "237", ",", 
      "238", ",", "239", ",", "240", ",", "241", ",", "242", ",", "243", ",", 
      "244", ",", "245", ",", "246", ",", "247", ",", "248", ",", "249", ",", 
      "250", ",", "251", ",", "252", ",", "253", ",", "254", ",", "255", ",", 
      "256", ",", "257", ",", "258", ",", "259", ",", "260", ",", "261", ",", 
      "262", ",", "263", ",", "264", ",", "265", ",", "266", ",", "267", ",", 
      "268", ",", "269", ",", "270", ",", "271", ",", "272", ",", "273", ",", 
      "274", ",", "275", ",", "276", ",", "277", ",", "278", ",", "279", ",", 
      "280", ",", "281", ",", "282", ",", "283", ",", "284", ",", "285", ",", 
      "286", ",", "287", ",", "288", ",", "289", ",", "290", ",", "291", ",", 
      "292", ",", "293", ",", "294", ",", "295", ",", "296", ",", "297", ",", 
      "298", ",", "299", ",", "300", ",", "301", ",", "302", ",", "303", ",", 
      "304", ",", "305", ",", "306", ",", "307", ",", "308", ",", "309", ",", 
      "310", ",", "311", ",", "312", ",", "313", ",", "314", ",", "315", ",", 
      "316", ",", "317", ",", "318", ",", "319", ",", "320", ",", "321", ",", 
      "322", ",", "323", ",", "325", ",", "326", ",", "327", ",", "328", ",", 
      "329", ",", "330", ",", "331", ",", "332", ",", "333", ",", "334", ",", 
      "336", ",", "337", ",", "338", ",", "339", ",", "340", ",", "341", ",", 
      "342", ",", "343", ",", "344", ",", "345", ",", "346", ",", "347", ",", 
      "348", ",", "349", ",", "350", ",", "351", ",", "352", ",", "353", ",", 
      "354", ",", "355", ",", "356", ",", "357", ",", "358", ",", "359", ",", 
      "360", ",", "361", ",", "362", ",", "363", ",", "364", ",", "365", ",", 
      "366", ",", "368", ",", "369", ",", "370", ",", "371", ",", "372", ",", 
      "373", ",", "374", ",", "375", ",", "376", ",", "377", ",", "378", ",", 
      "379", ",", "380", ",", "381", ",", "382", ",", "383", ",", "384", ",", 
      "385", ",", "386", ",", "387", ",", "388", ",", "389", ",", "390", ",", 
      "391", ",", "392", ",", "393", ",", "394", ",", "395", ",", "396", ",", 
      "397", ",", "398", ",", "399", ",", "400", ",", "401", ",", "402", ",", 
      "403", ",", "404", ",", "405", ",", "406", ",", "407", ",", "408", ",", 
      "409", ",", "410", ",", "411", ",", "412", ",", "413", ",", "414", ",", 
      "415", ",", "416", ",", "417", ",", "418", ",", "419", ",", "420", ",", 
      "421", ",", "422", ",", "423", ",", "424", ",", "425", ",", "426", ",", 
      "427", ",", "428", ",", "429", ",", "430", ",", "431", ",", "432", ",", 
      "433", ",", "434", ",", "435", ",", "436", ",", "437", ",", "438", ",", 
      "440", ",", "441", ",", "442", ",", "443", ",", "444", ",", "445", ",", 
      "446", ",", "447", ",", "448", ",", "449", ",", "450", ",", "451", ",", 
      "452", ",", "453", ",", "454", ",", "455", ",", "456", ",", "457", ",", 
      "458", ",", "460", ",", "461", ",", "462", ",", "463", ",", "464", ",", 
      "466", ",", "467", ",", "468", ",", "469", ",", "470", ",", "471", ",", 
      "472", ",", "473", ",", "474", ",", "475", ",", "476", ",", "477", ",", 
      "478", ",", "479", ",", "480", ",", "481", ",", "482", ",", "483", ",", 
      "484", ",", "485", ",", "486", ",", "487", ",", "488", ",", "489", ",", 
      "490", ",", "491", ",", "492", ",", "493", ",", "494", ",", "495", ",", 
      "496", ",", "497", ",", "498", ",", "499", ",", "500", ",", "501", ",", 
      "502", ",", "503", ",", "504", ",", "505", ",", "506", ",", "508", ",", 
      "509", ",", "510", ",", "511", ",", "512", ",", "513", ",", "514", ",", 
      "515", ",", "516", ",", "517", ",", "518", ",", "519", ",", "520", ",", 
      "521", ",", "522", ",", "523", ",", "524", ",", "525", ",", "526", ",", 
      "528", ",", "530", ",", "531", ",", "532", ",", "533", ",", "534", ",", 
      "535", ",", "536", ",", "538", ",", "539", ",", "540", ",", "541", ",", 
      "542", ",", "543", ",", "544", ",", "545", ",", "546", ",", "547", ",", 
      "548", ",", "549", ",", "550", ",", "551", ",", "552", ",", "553", ",", 
      "554", ",", "555", ",", "556", ",", "557", ",", "558", ",", "559", ",", 
      "560", ",", "561", ",", "562", ",", "563", ",", "564", ",", "565", ",", 
      "566", ",", "567", ",", "568", ",", "569", ",", "570", ",", "571", ",", 
      "573", ",", "574", ",", "575", ",", "576", ",", "577", ",", "578", ",", 
      "579", ",", "580", ",", "581", ",", "582", ",", "583", ",", "584", ",", 
      "585", ",", "587", ",", "588", ",", "589", ",", "590", ",", "591", ",", 
      "592", ",", "593", ",", "594", ",", "595", ",", "596", ",", "597", ",", 
      "598", ",", "599", ",", "600", ",", "602", ",", "603", ",", "604", ",", 
      "605", ",", "606", ",", "607", ",", "608", ",", "609", ",", "610", ",", 
      "611", ",", "612", ",", "614", ",", "615", ",", "616", ",", "618", ",", 
      "619", ",", "620", ",", "621", ",", "622", ",", "623", ",", "624", ",", 
      "625", ",", "626", ",", "627", ",", "628", ",", "629", ",", "630", ",", 
      "631", ",", "632", ",", "634", ",", "636", ",", "637", ",", "638", ",", 
      "639", ",", "640", ",", "641", ",", "642", ",", "643", ",", "644", ",", 
      "645", ",", "646", ",", "647", ",", "648", ",", "649", ",", "650", ",", 
      "651", ",", "652", ",", "654", ",", "656", ",", "657", ",", "658", ",", 
      "659", ",", "660", ",", "662", ",", "664", ",", "665", ",", "666", ",", 
      "667", ",", "669", ",", "670", ",", "671", ",", "672", ",", "673", ",", 
      "674", ",", "675", ",", "676", ",", "677", ",", "679", ",", "680", ",", 
      "682", ",", "683", ",", "684", ",", "686", ",", "687", ",", "688", ",", 
      "689", ",", "690", ",", "691", ",", "692", ",", "693", ",", "694", ",", 
      "695", ",", "696", ",", "697", ",", "698", ",", "699", ",", "700", ",", 
      "701", ",", "702", ",", "703", ",", "704", ",", "705", ",", "706", ",", 
      "707", ",", "708", ",", "709", ",", "710", ",", "711", ",", "712", ",", 
      "713", ",", "714", ",", "715", ",", "716", ",", "717", ",", "718", ",", 
      "719", ",", "720", ",", "721", ",", "722", ",", "723", ",", "724", ",", 
      "725", ",", "726", ",", "727", ",", "728", ",", "729", ",", "730", ",", 
      "732", ",", "733", ",", "734", ",", "735", ",", "736", ",", "737", ",", 
      "738", ",", "741", ",", "742", ",", "743", ",", "744", ",", "745", ",", 
      "746", ",", "747", ",", "748", ",", "749", ",", "750", ",", "751", ",", 
      "752", ",", "753", ",", "754", ",", "755", ",", "756", ",", "758", ",", 
      "759", ",", "760", ",", "761", ",", "762", ",", "763", ",", "766", ",", 
      "767", ",", "768", ",", "769", ",", "770", ",", "771", ",", "772", ",", 
      "774", ",", "775", ",", "776", ",", "777", ",", "778", ",", "779", ",", 
      "780", ",", "781", ",", "782", ",", "783", ",", "784", ",", "786", ",", 
      "788", ",", "789", ",", "790", ",", "792", ",", "793", ",", "794", ",", 
      "795", ",", "797", ",", "799", ",", "800", ",", "801", ",", "802", ",", 
      "803", ",", "804", ",", "805", ",", "806", ",", "808", ",", "809", ",", 
      "810", ",", "811", ",", "812", ",", "813", ",", "814", ",", "815", ",", 
      "816", ",", "817", ",", "818", ",", "819", ",", "820", ",", "821", ",", 
      "822", ",", "823", ",", "824", ",", "825", ",", "826", ",", "827", ",", 
      "828", ",", "829", ",", "830", ",", "831", ",", "832", ",", "833", ",", 
      "834", ",", "835", ",", "836", ",", "837", ",", "838", ",", "839", ",", 
      "840", ",", "841", ",", "842", ",", "844", ",", "845", ",", "846", ",", 
      "847", ",", "848", ",", "849", ",", "850", ",", "851", ",", "852", ",", 
      "853", ",", "855", ",", "856", ",", "857", ",", "858", ",", "859", ",", 
      "861", ",", "862", ",", "863", ",", "864", ",", "865", ",", "866", ",", 
      "867", ",", "868", ",", "869", ",", "870", ",", "872", ",", "873", ",", 
      "874", ",", "875", ",", "876", ",", "877", ",", "878", ",", "879", ",", 
      "880", ",", "881", ",", "882", ",", "883", ",", "884", ",", "885", ",", 
      "886", ",", "887", ",", "888", ",", "889", ",", "890", ",", "892", ",", 
      "893", ",", "894", ",", "896", ",", "897", ",", "898", ",", "899", ",", 
      "900", ",", "901", ",", "902", ",", "903", ",", "905", ",", "906", ",", 
      "907", ",", "908", ",", "909", ",", "911", ",", "912", ",", "913", ",", 
      "915", ",", "916", ",", "917", ",", "918", ",", "919", ",", "920", ",", 
      "921", ",", "922", ",", "923", ",", "924", ",", "925", ",", "926", ",", 
      "928", ",", "929", ",", "930", ",", "932", ",", "934", ",", "935", ",", 
      "936", ",", "940", ",", "941", ",", "944", ",", "945", ",", "946", ",", 
      "947", ",", "948", ",", "949", ",", "951", ",", "952", ",", "953", ",", 
      "956", ",", "957", ",", "959", ",", "960", ",", "961", ",", "962", ",", 
      "963", ",", "964", ",", "965", ",", "966", ",", "967", ",", "969", ",", 
      "970", ",", "971", ",", "973", ",", "975", ",", "976", ",", "977", ",", 
      "978", ",", "979", ",", "980", ",", "981", ",", "982", ",", "983", ",", 
      "984", ",", "985", ",", "986", ",", "987", ",", "988", ",", "989", ",", 
      "990", ",", "991", ",", "992", ",", "993", ",", "994", ",", "995", ",", 
      "996", ",", "997", ",", "998", ",", "1000", ",", "1001", ",", "1002", 
      ",", "1003", ",", "1004", ",", "1005", ",", "1006", ",", "1008", ",", 
      "1009", ",", "1010", ",", "1012", ",", "1014", ",", "1015", ",", "1016",
       ",", "1018", ",", "1020", ",", "1021", ",", "1022", ",", "1023", ",", 
      "1024", ",", "1025", ",", "1026", ",", "1027", ",", "1028", ",", "1029",
       ",", "1030", ",", "1031", ",", "1032", ",", "1033", ",", "1034", ",", 
      "1035", ",", "1036", ",", "1037", ",", "1038", ",", "1039", ",", "1040",
       ",", "1041", ",", "1042", ",", "1043", ",", "1044", ",", "1047", ",", 
      "1048", ",", "1049", ",", "1050", ",", "1052", ",", "1053", ",", "1054",
       ",", "1055", ",", "1056", ",", "1058", ",", "1059", ",", "1061", ",", 
      "1062", ",", "1063", ",", "1064", ",", "1065", ",", "1067", ",", "1069",
       ",", "1073", ",", "1075", ",", "1076", ",", "1077", ",", "1079", ",", 
      "1080", ",", "1081", ",", "1084", ",", "1085", ",", "1086", ",", "1087",
       ",", "1088", ",", "1089", ",", "1090", ",", "1091", ",", "1092", ",", 
      "1093", ",", "1095", ",", "1096", ",", "1097", ",", "1098", ",", "1099",
       ",", "1100", ",", "1102", ",", "1103", ",", "1106", ",", "1107", ",", 
      "1109", ",", "1112", ",", "1113", ",", "1114", ",", "1115", ",", "1116",
       ",", "1117", ",", "1119", ",", "1131", ",", "1135", ",", "1140", ",", 
      "1145", ",", "1147", ",", "1148", ",", "1150", ",", "1158", ",", "1160",
       ",", "1176", ",", "1180", ",", "1181", ",", "1186", ",", "1188", ",", 
      "1189", ",", "1190", ",", "1193", ",", "1197", ",", "1204", ",", "1205",
       ",", "1206", ",", "1209", ",", "1210", ",", "1217"}], "}"}]}], ";", 
   " ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{"All", " ", "particles", " ", "with", " ", "14"}], " ", 
     "\[LessEqual]", " ", "Z", " ", "\[LessEqual]", " ", "15"}], " ", "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<Particles to plot: \>\"", ",", "ChosenParticles"}], "]"}], 
     ";"}], "  ", 
    RowBox[{"(*", " ", 
     RowBox[{
     "Just", " ", "for", " ", "information", " ", "which", " ", "particles", 
      " ", "are", " ", "plotted"}], "*)"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{"ppos", "=", 
    RowBox[{"Select", "[", 
     RowBox[{"mupos", ",", 
      RowBox[{
       RowBox[{"MemberQ", "[", 
        RowBox[{"ChosenParticles", ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"-", "1"}], "]"}], "]"}]}], "]"}], "&"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"ppos", "=", 
     RowBox[{"Select", "[", 
      RowBox[{"mupos", ",", 
       RowBox[{
        RowBox[{"MemberQ", "[", 
         RowBox[{"AllParticles", ",", 
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"-", "1"}], "]"}], "]"}]}], "]"}], "&"}]}], "]"}]}], 
    ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"lp", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", "2"}], "]"}], "]"}], "&"}], "/@", "ppos"}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"Frame", "->", "True"}], ",", 
     RowBox[{"GridLines", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", "White"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"ind", "=", 
    RowBox[{"-", "1"}]}], ";", 
   RowBox[{"nn", "=", "0"}], ";", " ", 
   RowBox[{"Np", "=", 
    RowBox[{"Length", "[", "ChosenParticles", "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"ind", "=", 
     RowBox[{"-", "1"}]}], ";", 
    RowBox[{"nn", "=", "0"}], ";", " ", 
    RowBox[{"Np", "=", 
     RowBox[{"Length", "[", "AllParticles", "]"}]}], ";"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"gg", "=", 
   RowBox[{"Graphics", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"ind", "\[NotEqual]", 
            RowBox[{"#", "[", 
             RowBox[{"[", 
              RowBox[{"-", "1"}], "]"}], "]"}]}], ",", 
           RowBox[{
            RowBox[{"ind", "=", 
             RowBox[{"#", "[", 
              RowBox[{"[", 
               RowBox[{"-", "1"}], "]"}], "]"}]}], ";", 
            RowBox[{"nn", "++"}]}]}], "]"}], ";", " ", 
         RowBox[{
          RowBox[{"ColorData", "[", "\"\<GrayTones\>\"", "]"}], "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{"nn", "-", "0.5"}], ")"}], "/", 
           RowBox[{"(", 
            RowBox[{"Np", "+", "1"}], ")"}]}], "]"}]}], ",", 
        RowBox[{"Rectangle", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"1", ";;", "2"}], "]"}], "]"}], "-", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"4", ";;", "5"}], "]"}], "]"}]}], ",", 
          RowBox[{
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"1", ";;", "2"}], "]"}], "]"}], "+", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"4", ";;", "5"}], "]"}], "]"}]}]}], "]"}]}], "}"}], 
      "&"}], "/@", "ppos"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FixedParticlePoint", "=", 
   RowBox[{"{", 
    RowBox[{"156", ",", "1201"}], "}"}]}], ";", "  ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Particle", " ", "point", " ", "in", " ", "particle", " ", "coordinates", 
    " ", "Matlab"}], "  ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"ParticlePoint", " ", "=", " ", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "Large", "]"}], ",", "Red", ",", 
      RowBox[{"Point", "[", "FixedParticlePoint", "]"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"gr", "=", 
  RowBox[{"Show", "[", 
   RowBox[{"lp", ",", "gg", ",", "ParticlePoint"}], " ", "]"}]}]}], "Input",
 CellChangeTimes->{{3.6582133173698483`*^9, 3.6582133442375345`*^9}, {
   3.658215261151207*^9, 3.658215274396531*^9}, 3.6829226218330507`*^9, {
   3.682925588480002*^9, 3.6829256089020023`*^9}, 3.682925677628002*^9, {
   3.68293460669773*^9, 3.6829346164787083`*^9}, {3.682937788453289*^9, 
   3.682937789899434*^9}, {3.683275823772005*^9, 3.683275831870815*^9}, {
   3.6832759196765947`*^9, 3.683275924563083*^9}, {3.68327596503113*^9, 
   3.6832759876053867`*^9}, {3.683276021479774*^9, 3.683276022278854*^9}, {
   3.6832763422617583`*^9, 3.6832764028618183`*^9}, {3.6832764960831375`*^9, 
   3.6832765019477243`*^9}, {3.683276556876216*^9, 3.683276560933622*^9}, {
   3.699186190618971*^9, 3.6991861971347084`*^9}, {3.6991870313956766`*^9, 
   3.6991870408871098`*^9}, {3.699187103792695*^9, 3.69918711955853*^9}, {
   3.699187257545195*^9, 3.699187272998617*^9}, {3.699187415619138*^9, 
   3.6991874270180626`*^9}, {3.699187525693243*^9, 3.6991875380303893`*^9}, {
   3.6992451914148455`*^9, 3.6992453903468456`*^9}, {3.6992456417258453`*^9, 
   3.6992456529718456`*^9}, {3.699246424627846*^9, 3.6992464278798456`*^9}, {
   3.6992464677828455`*^9, 3.6992464898438454`*^9}, {3.6992468375828457`*^9, 
   3.6992468567808456`*^9}, {3.6992469038748455`*^9, 
   3.6992469065438457`*^9}, {3.6992469455198455`*^9, 
   3.6992469798398457`*^9}, {3.699247123462846*^9, 3.6992471565168457`*^9}, {
   3.6992471937948456`*^9, 3.6992471959218454`*^9}, {3.6992472516498456`*^9, 
   3.6992472536708455`*^9}, {3.6996080414869556`*^9, 3.699608072349041*^9}, {
   3.699608736741474*^9, 3.699608753322132*^9}, {3.6996087903238316`*^9, 
   3.6996088248852873`*^9}, {3.699610068774664*^9, 3.6996100693707237`*^9}, {
   3.6996974718288913`*^9, 3.6996974721389227`*^9}, {3.6996979900017033`*^9, 
   3.699697990728776*^9}, {3.69969842490819*^9, 3.6996984253072295`*^9}, {
   3.699857232140463*^9, 3.6998573056728773`*^9}, {3.6998574097567043`*^9, 
   3.6998575041073184`*^9}, 3.6998575724678326`*^9, {3.6998576955482044`*^9, 
   3.699857788010128*^9}, {3.699857818165121*^9, 3.6998578322520113`*^9}, {
   3.699858410047924*^9, 3.699858410391124*^9}, {3.699858497828251*^9, 
   3.699858517795995*^9}, {3.699858549541588*^9, 3.6998591286580777`*^9}, {
   3.6998591602480774`*^9, 3.6998592952816772`*^9}, {3.699859330693678*^9, 
   3.6998594190520773`*^9}, {3.699859459128684*^9, 3.699859467709014*^9}, {
   3.6998595040272107`*^9, 3.6998595171473155`*^9}, {3.699859578832088*^9, 
   3.6998600535506597`*^9}, {3.699860133469973*^9, 3.6998602085376544`*^9}, {
   3.6998603449137287`*^9, 3.699860353228582*^9}, 3.7044558952509556`*^9, 
   3.7045426255649476`*^9, 3.7045426778467884`*^9, {3.7045430051003857`*^9, 
   3.704543009725438*^9}, {3.704824335649308*^9, 3.7048243358264666`*^9}, {
   3.705905921076627*^9, 3.7059059227641287`*^9}, {3.705906046969062*^9, 
   3.7059061652207603`*^9}, {3.7060954818871045`*^9, 
   3.7060954830589075`*^9}, {3.7060955492658587`*^9, 
   3.7060955701682634`*^9}, {3.7060956688810997`*^9, 
   3.7060957581841497`*^9}, {3.706095813323468*^9, 3.706096064035022*^9}, {
   3.706096102801824*^9, 3.706096131944532*^9}, {3.70609616985082*^9, 
   3.7060961767205048`*^9}, {3.7060962175272193`*^9, 
   3.7060962557679634`*^9}, {3.7067042409841146`*^9, 3.70670424141743*^9}, {
   3.7067693408726864`*^9, 3.706769342528963*^9}, 3.7070667035367427`*^9, 
   3.70706675754107*^9, {3.7077376991869593`*^9, 3.707737705795997*^9}, 
   3.7077378024337263`*^9, {3.7821302844801054`*^9, 3.782130286018922*^9}, {
   3.7822122744362545`*^9, 3.7822122935986223`*^9}, {3.7822188784967175`*^9, 
   3.7822188838647413`*^9}, {3.7822189460239553`*^9, 
   3.7822189512987785`*^9}, {3.7822189842779484`*^9, 
   3.7822190296093316`*^9}, {3.7822199378919306`*^9, 3.782219939606105*^9}, {
   3.782449784135826*^9, 3.7824498013151965`*^9}, {3.7824498981717405`*^9, 
   3.7824499007490683`*^9}, {3.782449942743945*^9, 3.7824499668480945`*^9}, {
   3.782451531920034*^9, 3.7824515357163305`*^9}, {3.7824535507235837`*^9, 
   3.782453566610864*^9}, 3.782457367650653*^9, 3.782457412948891*^9, {
   3.7824575714340487`*^9, 3.782457576988575*^9}, {3.7825458476030483`*^9, 
   3.782545899586155*^9}, {3.7825459460196953`*^9, 3.7825459500857162`*^9}, {
   3.7825461138828163`*^9, 3.782546122801553*^9}, {3.78254617745804*^9, 
   3.782546180671359*^9}, {3.7825463834229183`*^9, 3.782546399389778*^9}, 
   3.7827269549435177`*^9, {3.7827270023671036`*^9, 3.782727014553906*^9}, 
   3.7827311879267516`*^9, {3.7827312778166924`*^9, 3.782731279937336*^9}, {
   3.7830595449738193`*^9, 3.7830595935484834`*^9}, {3.7830596533411536`*^9, 
   3.7830596653090773`*^9}, {3.783070222786807*^9, 3.7830702268020425`*^9}, {
   3.783333319387511*^9, 3.7833333521454754`*^9}, {3.7834048147742286`*^9, 
   3.783404875858141*^9}, 3.783404920277768*^9, 3.7834050128565035`*^9, {
   3.783405184801013*^9, 3.783405255587287*^9}, {3.783406025471985*^9, 
   3.7834060435168166`*^9}, {3.7834062437621064`*^9, 
   3.7834062716325645`*^9}, {3.783406422131652*^9, 3.7834064283129387`*^9}, 
   3.7834086701520767`*^9},ExpressionUUID->"819d903e-2f50-40d9-a810-\
6a2c603bf5ba"],

Cell[CellGroupData[{

Cell["Export subgrid of measurement data ", "Section",
 CellChangeTimes->{{3.658215643274415*^9, 3.658215670146102*^9}, {
   3.658217632700338*^9, 3.6582176815502224`*^9}, {3.6582180667987432`*^9, 
   3.6582180742634897`*^9}, 
   3.7833354817397995`*^9},ExpressionUUID->"823229a2-45bb-419e-a29e-\
cea7363b73df"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"SubGridOutFile", ",", "AlignedScan", ",", "\"\<CSV\>\""}], "]"}],
    ";"}], 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"This", " ", "is", " ", "file", " ", "SubOut"}], "-", 
    RowBox[{"Bz_", "60", "mu_nobinning", "_", "03.", "txt"}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"MinMax", "[", 
  RowBox[{"AlignedScan", "[", 
   RowBox[{"[", 
    RowBox[{";;", ",", 
     RowBox[{"-", "1"}]}], "]"}], "]"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"SelectedParticles", "=", 
  RowBox[{"Union", "[", 
   RowBox[{
    RowBox[{"Select", "[", 
     RowBox[{"mupos", ",", 
      RowBox[{
       RowBox[{"Inbounds", "[", 
        RowBox[{
         RowBox[{"Transpose", "[", "SubGridBounds", "]"}], ",", "#"}], "]"}], 
       "&"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{";;", ",", 
      RowBox[{"-", "1"}]}], "]"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"SelectedCuboids", "=", 
    RowBox[{"Select", "[", 
     RowBox[{"mupos", ",", 
      RowBox[{
       RowBox[{"MemberQ", "[", 
        RowBox[{"SelectedParticles", ",", 
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{"-", "1"}], "]"}], "]"}]}], "]"}], "&"}]}], "]"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "1"}], ";", 
  RowBox[{"a", "=", 
   RowBox[{"SelectedCuboids", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{"-", "1"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"RenumberedCuboid", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", 
            RowBox[{"-", "1"}], "]"}], "]"}], "!=", "a"}], ",", 
         RowBox[{
          RowBox[{"n", "++"}], ";", 
          RowBox[{"a", "=", 
           RowBox[{"#", "[", 
            RowBox[{"[", 
             RowBox[{"-", "1"}], "]"}], "]"}]}]}]}], "]"}], ";", 
       RowBox[{"Append", "[", 
        RowBox[{
         RowBox[{"#", "[", 
          RowBox[{"[", 
           RowBox[{";;", 
            RowBox[{"-", "2"}]}], "]"}], "]"}], ",", "n"}], "]"}]}], ")"}], 
     "&"}], "/@", "SelectedCuboids"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.658217868624928*^9, 3.6582178752385893`*^9}, {
  3.658218017828847*^9, 3.65821805046211*^9}, {3.7045435114498606`*^9, 
  3.704543511996742*^9}, {3.782733498299321*^9, 3.782733503577656*^9}, {
  3.783070536770979*^9, 3.783070564787568*^9}, {3.7830708761760063`*^9, 
  3.783070882068802*^9}},ExpressionUUID->"92a8caae-c3ac-494b-8724-\
3e8f4406bedb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1.2316345431472266`*^9"}], ",", "1.5374849329481277`*^9"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.7045438514068213`*^9, 3.704544151800832*^9, 3.7045447310886545`*^9, 
   3.704824478576803*^9, 3.7048258067178507`*^9, 3.704827912968158*^9, 
   3.7049105547034426`*^9, 3.704911572573838*^9, 3.705134574975458*^9, 
   3.7059223248286867`*^9, 3.705924549289462*^9, 3.7059481642295356`*^9, 
   3.706005719504857*^9, 3.7060059812737403`*^9, 3.7060963494716463`*^9, 
   3.706795281647029*^9, 3.706797213391033*^9, 3.7070671606005635`*^9, 
   3.7070699654298286`*^9, 3.707116490933404*^9, 3.707127800990444*^9, 
   3.707131350656723*^9, 3.7077383003497944`*^9, 3.707740023462286*^9, 
   3.7077406555805807`*^9, 3.7077414038425913`*^9, 3.7077420709227037`*^9, 
   3.709573053605816*^9, 3.709575862741208*^9, 3.710004737792985*^9, 
   3.713720588057109*^9, 3.782135192244714*^9, 3.78213530879854*^9, {
   3.7827286124219775`*^9, 3.7827286272555695`*^9}, 3.782732902056159*^9, 
   3.783161935492282*^9, 
   3.783169504262353*^9},ExpressionUUID->"2323b5a0-c480-419b-aad9-\
67bb37d0f7db"],

Cell[BoxData[
 InterpretationBox[
  TagBox[
   FrameBox[GridBox[{
      {
       ItemBox[
        TagBox[
         RowBox[{"{", 
          RowBox[{
          "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", 
           ",", "8", ",", "9", ",", "10", ",", "11", ",", "12", ",", "13", 
           ",", "14", ",", "15", ",", "16", ",", "17", ",", "18", ",", "19", 
           ",", "20", ",", "21", ",", "22", ",", "23", ",", "24", ",", "25", 
           ",", "26", ",", "27", ",", "28", ",", "29", ",", "30", ",", "31", 
           ",", "32", ",", "33", ",", "34", ",", "35", ",", "36", ",", "37", 
           ",", "38", ",", "39", ",", "40", ",", "41", ",", "42", ",", "43", 
           ",", "44", ",", "45", ",", "46", ",", "47", ",", "48", ",", "49", 
           ",", "50", ",", "51", ",", "52", ",", "53", ",", "54", ",", "55", 
           ",", "56", ",", "57", ",", "58", ",", "59", ",", "60", ",", "61", 
           ",", "62", ",", "63", ",", "64", ",", "65", ",", "66", ",", "67", 
           ",", "68", ",", "69", ",", "70", ",", "71", ",", "72", ",", "73", 
           ",", "74", ",", "75", ",", "76", ",", "77", ",", "78", ",", "79", 
           ",", "80", ",", "81", ",", "82", ",", "83", ",", "84", ",", "85", 
           ",", "86", ",", "87", ",", "88", ",", "89", ",", "90", ",", "91", 
           ",", "92", ",", "93", ",", "94", ",", "95", ",", "96", ",", "97", 
           ",", "98", ",", "99", ",", "100", ",", "101", ",", "102", ",", 
           "103", ",", "104", ",", "105", ",", "106", ",", "107", ",", "108", 
           ",", "109", ",", "110", ",", "111", ",", "112", ",", "113", ",", 
           "114", ",", "115", ",", "116", ",", 
           TemplateBox[{"8723"},
            "OutputSizeLimit`Skeleton"], ",", "8840", ",", "8841", ",", 
           "8842", ",", "8843", ",", "8844", ",", "8845", ",", "8846", ",", 
           "8847", ",", "8848", ",", "8849", ",", "8850", ",", "8851", ",", 
           "8852", ",", "8853", ",", "8854", ",", "8855", ",", "8856", ",", 
           "8857", ",", "8858", ",", "8859", ",", "8860", ",", "8861", ",", 
           "8862", ",", "8863", ",", "8864", ",", "8865", ",", "8866", ",", 
           "8867", ",", "8868", ",", "8869", ",", "8870", ",", "8871", ",", 
           "8872", ",", "8873", ",", "8874", ",", "8875", ",", "8876", ",", 
           "8877", ",", "8878", ",", "8879", ",", "8880", ",", "8881", ",", 
           "8882", ",", "8883", ",", "8884", ",", "8885", ",", "8886", ",", 
           "8887", ",", "8888", ",", "8889", ",", "8890", ",", "8891", ",", 
           "8892", ",", "8893", ",", "8894", ",", "8895", ",", "8896", ",", 
           "8897", ",", "8898", ",", "8899", ",", "8900", ",", "8901", ",", 
           "8902", ",", "8903", ",", "8904", ",", "8905", ",", "8906", ",", 
           "8907", ",", "8908", ",", "8909", ",", "8910", ",", "8911", ",", 
           "8912", ",", "8913", ",", "8914", ",", "8915", ",", "8916", ",", 
           "8917", ",", "8918", ",", "8919", ",", "8920", ",", "8921", ",", 
           "8922", ",", "8923", ",", "8924", ",", "8925", ",", "8926", ",", 
           "8927", ",", "8928", ",", "8929", ",", "8930", ",", "8931", ",", 
           "8932", ",", "8933", ",", "8934", ",", "8935", ",", "8936", ",", 
           "8937", ",", "8938", ",", "8939", ",", "8940", ",", "8941", ",", 
           "8942", ",", "8943", ",", "8944", ",", "8945", ",", "8946", ",", 
           "8947", ",", "8948", ",", "8949", ",", "8950", ",", "8951", ",", 
           "8952", ",", "8953", ",", "8954", ",", "8955"}], "}"}],
         Short[#, 5]& ],
        BaseStyle->{Deployed -> False},
        StripOnInput->False]},
      {GridBox[{
         {
          TagBox[
           TooltipBox[
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource[
                "FEStrings", "sizeBriefExplanation"], StandardForm],
               ImageSizeCache->{65., {3., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLText",
             StripOnInput->False],
            StyleBox[
             DynamicBox[
              ToBoxes[
               FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"], 
               StandardForm]], DynamicUpdating -> True, StripOnInput -> 
             False]],
           Annotation[#, 
            Style[
             Dynamic[
              FEPrivate`FrontEndResource["FEStrings", "sizeExplanation"]], 
             DynamicUpdating -> True], "Tooltip"]& ], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm],
               ImageSizeCache->{52., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowLess"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 66, 28224298580077921246, 5/2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm],
               ImageSizeCache->{62., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowMore"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 66, 28224298580077921246, 5 2],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm],
               ImageSizeCache->{44., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeShowAll"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           
           ButtonFunction:>OutputSizeLimit`ButtonFunction[
            OutputSizeLimit`Defer, 66, 28224298580077921246, Infinity],
           Enabled->True,
           Evaluator->Automatic,
           Method->"Queued"], 
          ButtonBox[
           PaneSelectorBox[{False->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm],
               ImageSizeCache->{78., {1., 9.}}],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControl",
             StripOnInput->False], True->
            StyleBox[
             StyleBox[
              DynamicBox[ToBoxes[
                FEPrivate`FrontEndResource["FEStrings", "sizeChangeLimit"], 
                StandardForm]],
              StripOnInput->False,
              DynamicUpdating->True], "OSLControlActive",
             StripOnInput->False]}, Dynamic[
             CurrentValue["MouseOver"]],
            Alignment->Center,
            FrameMargins->0,
            ImageSize->{Automatic, 25}],
           Appearance->None,
           BaselinePosition->Baseline,
           ButtonFunction:>FrontEndExecute[{
              FrontEnd`SetOptions[
              FrontEnd`$FrontEnd, 
               FrontEnd`PreferencesSettings -> {"Page" -> "Advanced"}], 
              FrontEnd`FrontEndToken["PreferencesDialog"]}],
           Evaluator->None,
           Method->"Preemptive"]}
        },
        AutoDelete->False,
        FrameStyle->GrayLevel[0.85],
        GridBoxDividers->{"Columns" -> {False, {True}}},
        GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
        GridBoxSpacings->{"Columns" -> {{2}}}]}
     },
     DefaultBaseStyle->"Column",
     GridBoxAlignment->{
      "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
       "RowsIndexed" -> {}},
     GridBoxDividers->{
      "Columns" -> {{False}}, "ColumnsIndexed" -> {}, "Rows" -> {{False}}, 
       "RowsIndexed" -> {}},
     GridBoxItemSize->{
      "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
       "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.5599999999999999]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], 
         Offset[1.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}],
    BaseStyle->"OutputSizeLimit",
    FrameMargins->{{12, 12}, {0, 15}},
    FrameStyle->GrayLevel[0.85],
    RoundingRadius->5,
    StripOnInput->False],
   Deploy,
   DefaultBaseStyle->"Deploy"],
  If[28224298580077921246 === $SessionID, 
   Out[66], Message[
     MessageName[Syntax, "noinfoker"]]; Missing["NotAvailable"]; 
   Null]]], "Output",
 CellChangeTimes->{
  3.7045438514068213`*^9, 3.704544151800832*^9, 3.7045447310886545`*^9, 
   3.704824478576803*^9, 3.7048258067178507`*^9, 3.704827912968158*^9, 
   3.7049105547034426`*^9, 3.704911572573838*^9, 3.705134574975458*^9, 
   3.7059223248286867`*^9, 3.705924549289462*^9, 3.7059481642295356`*^9, 
   3.706005719504857*^9, 3.7060059812737403`*^9, 3.7060963494716463`*^9, 
   3.706795281647029*^9, 3.706797213391033*^9, 3.7070671606005635`*^9, 
   3.7070699654298286`*^9, 3.707116490933404*^9, 3.707127800990444*^9, 
   3.707131350656723*^9, 3.7077383003497944`*^9, 3.707740023462286*^9, 
   3.7077406555805807`*^9, 3.7077414038425913`*^9, 3.7077420709227037`*^9, 
   3.709573053605816*^9, 3.709575862741208*^9, 3.710004737792985*^9, 
   3.713720588057109*^9, 3.782135192244714*^9, 3.78213530879854*^9, {
   3.7827286124219775`*^9, 3.7827286272555695`*^9}, 3.782732902056159*^9, 
   3.783161935492282*^9, 
   3.7831695058052735`*^9},ExpressionUUID->"2debc0ec-00b4-41be-8862-\
7e744b472ba0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"s1", "=", 
   RowBox[{"SplitBy", "[", 
    RowBox[{"AlignedScan", ",", 
     RowBox[{
      RowBox[{"#", "[", 
       RowBox[{"[", "1", "]"}], "]"}], "&"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"mat", "=", 
    RowBox[{"Transpose", "[", 
     RowBox[{"s1", "[", 
      RowBox[{"[", 
       RowBox[{";;", ",", ";;", ",", "3"}], "]"}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Export", "[", 
    RowBox[{"SubGridMatrixFile", ",", "mat", ",", "\"\<Table\>\"", ",", 
     RowBox[{"\"\<FieldSeparators\>\"", "\[Rule]", "\"\< \>\""}]}], "]"}], 
   ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
   "This", " ", "is", " ", "file", " ", "BzUpGrid_", "60", "mu_nobinning", 
    "_", "03.", "txt"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Dimensions", "[", "mat", "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mm", "=", 
   RowBox[{
    RowBox[{"Transpose", "[", 
     RowBox[{"MinMax", "/@", 
      RowBox[{"Transpose", "[", "AlignedScan", "]"}]}], "]"}], "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", 
      RowBox[{";;", 
       RowBox[{"-", "2"}]}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dims", "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "-", 
        RowBox[{"#", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "&"}], "/@", 
     RowBox[{"(", 
      RowBox[{"MinMax", "/@", 
       RowBox[{
        RowBox[{"Transpose", "[", "AlignedScan", "]"}], "[", 
        RowBox[{"[", 
         RowBox[{"1", ";;", "2"}], "]"}], "]"}]}], ")"}]}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ZeroShiftedCuboids", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"#", "[", 
         RowBox[{"[", 
          RowBox[{"1", ";;", "2"}], "]"}], "]"}], "-", "mm"}], ",", 
       RowBox[{"#", "[", 
        RowBox[{"[", 
         RowBox[{"3", ";;"}], "]"}], "]"}]}], "]"}], "&"}], "/@", 
    "RenumberedCuboid"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{
   "SelectedCuboidFile", ",", "ZeroShiftedCuboids", ",", "\"\<TSV\>\""}], 
   "]"}], " ", 
  RowBox[{"(*", 
   RowBox[{"this", " ", "is", " ", 
    RowBox[{"file", ":", " ", 
     RowBox[{"FWInput", "-", 
      RowBox[{"Cuboids_flipY3", "_select", "_", "02.", "txt"}]}]}]}], 
   "*)"}]}]}], "Input",
 CellChangeTimes->{{3.7045436263418727`*^9, 3.7045436788112144`*^9}, {
  3.7827335148067055`*^9, 3.782733530584221*^9}, {3.7830705897874203`*^9, 
  3.7830705942269287`*^9}, {3.7830708632528977`*^9, 3.783070869196557*^9}, {
  3.7830709693648643`*^9, 
  3.783071006660793*^9}},ExpressionUUID->"339f1a0f-6750-489a-a3c5-\
a2a0903fc07d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"567", ",", "467"}], "}"}]], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA+JzLct8b8987bhEwaoYRKddm78bRLPM0whJmfXa0Y5F
6ReILipMYEwD0q5t06L7gHT5hsu3QLT4fv19v4H0TpbnSTVzXjsGufyurAXS
/Tf2MnQC6QqnFOmlQHqO3VtrEG1XzhhzEUgn/ildrDbvtaMby74p6kB6R4Fu
8mogPe/kr4NrgPSl8mmVh4H0mm1B/08AaQcWrt2ngPQLCRuJz/NfO16crv8R
RF99I2X/BUg3X508B0Qnzz76HkR7VOf9Klr82jFzNkNUCZA2SWY77LoEqO/v
WuWY1a8dGybmbLmp+8Yx6VbWThA95fDpQyA6rHNK+W+9N467VGf2/QXSIUuF
eM/rv3GMPBV86BKQBgA8aafU
  "],ExpressionUUID->"18484702-e090-4320-8e1f-8e5586caf7b8"],

Cell[BoxData["\<\"C:\\\\Users\\\\3492265\\\\surfdrive\\\\Interpretation\\\\\
MATHEMATICA_CoarseCuboidDecomposition\\\\60mu_coarse_Cuboids\\\\FWInput-\
Cuboids_flipY3_select_02.txt\"\>"], "Output",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmVkYGBQA+JzLct8b8987bhEwaoYRKddm78bRLPM0whJmfXa0Y5F
6ReILipMYEwD0q5t06L7gHT5hsu3QLT4fv19v4H0TpbnSTVzXjsGufyurAXS
/Tf2MnQC6QqnFOmlQHqO3VtrEG1XzhhzEUgn/ildrDbvtaMby74p6kB6R4Fu
8mogPe/kr4NrgPSl8mmVh4H0mm1B/08AaQcWrt2ngPQLCRuJz/NfO16crv8R
RF99I2X/BUg3X508B0Qnzz76HkR7VOf9Klr82jFzNkNUCZA2SWY77LoEqO/v
WuWY1a8dGybmbLmp+8Yx6VbWThA95fDpQyA6rHNK+W+9N467VGf2/QXSIUuF
eM/rv3Fs+fH4yCUgDQBCbai/
  "],ExpressionUUID->"eba2bd86-92aa-4f6a-be9d-763b73c1ac31"]
}, Open  ]]
}, Open  ]]
},
EvaluationCompletionAction->"ShowTiming",
WindowSize->{1920, 1117},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
OutputSizeLimit->2000,
CellContext->Notebook,
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1055, 24, 67, "Input",ExpressionUUID->"b7adf459-ffad-4ba5-a51e-0b683d395259"],
Cell[CellGroupData[{
Cell[1638, 48, 229, 4, 67, "Section",ExpressionUUID->"3b20734a-4810-47fa-8bbb-95dfa04c481e"],
Cell[1870, 54, 4277, 79, 124, "Input",ExpressionUUID->"a26b32be-5b00-4613-91c8-572af78c3c65"],
Cell[6150, 135, 2512, 68, 143, "Input",ExpressionUUID->"8a08f536-efd2-4585-9fcb-7305d766f07a"],
Cell[CellGroupData[{
Cell[8687, 207, 1792, 34, 28, "Input",ExpressionUUID->"d9b124a4-1506-471b-9347-8f7c8380d562"],
Cell[10482, 243, 1092, 20, 32, "Output",ExpressionUUID->"f5e1d7c6-4716-46f7-ac20-55a2bf72c1bb"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11611, 268, 261, 6, 28, "Input",ExpressionUUID->"51376003-08b6-44b3-ab74-d43089eaf620"],
Cell[11875, 276, 2385, 40, 32, "Output",ExpressionUUID->"7d7f6156-ecd2-4e4c-91a8-bccc56eb548b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14297, 321, 129, 1, 28, "Input",ExpressionUUID->"8dfcfd3a-a878-4305-a3d3-aa8e53f8b430"],
Cell[14429, 324, 2370, 38, 32, "Output",ExpressionUUID->"e3d29d79-be5a-4cf9-a50c-a01a9b1d5992"]
}, Open  ]],
Cell[16814, 365, 1482, 42, 67, "Input",ExpressionUUID->"dff936d6-a397-40b4-81fa-0292e33564f7"],
Cell[CellGroupData[{
Cell[18321, 411, 698, 18, 28, "Input",ExpressionUUID->"9deb4f5e-eb35-4e48-a30c-59fdbfa72166"],
Cell[19022, 431, 12438, 267, 180, "Output",ExpressionUUID->"83b3e53c-baa8-4ea1-8ef7-159b0484201f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31497, 703, 742, 18, 28, "Input",ExpressionUUID->"5aeca270-1975-41a7-b38a-f67f2d61e8bf"],
Cell[32242, 723, 8843, 226, 92, "Output",ExpressionUUID->"f4c66af1-349e-40b8-b704-417c49b0047a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[41122, 954, 825, 17, 28, "Input",ExpressionUUID->"0ac21e47-5581-4bb8-802e-748211d91069"],
Cell[41950, 973, 10178, 249, 114, "Output",ExpressionUUID->"327e5a89-29d9-40e8-bbd2-7580f59b79b5"]
}, Open  ]],
Cell[52143, 1225, 310, 7, 34, "Text",ExpressionUUID->"00289384-f42d-4525-b099-dd3f8f89da2a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52490, 1237, 186, 3, 67, "Section",ExpressionUUID->"6a870383-6543-452e-9e20-cc6f3af1f7bb"],
Cell[CellGroupData[{
Cell[52701, 1244, 23761, 390, 656, "Input",ExpressionUUID->"819d903e-2f50-40d9-a810-6a2c603bf5ba"],
Cell[76465, 1636, 2583124, 44050, 921, 2533158, 43231, "CachedBoxData", "BoxData", "Output",ExpressionUUID->"b4a5d637-3b32-47e4-b31a-cd40b1e14341"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[2659638, 45692, 193, 3, 67, "Section",ExpressionUUID->"a86c94b4-e4bf-4d70-bf94-6ea150659fa5"],
Cell[CellGroupData[{
Cell[2659856, 45699, 4958, 108, 162, "Input",ExpressionUUID->"38c993f1-dbd6-4e1b-846a-ed684f5abd0c"],
Cell[2664817, 45809, 183, 5, 32, "Output",ExpressionUUID->"e3a2e1a9-6080-45ab-ad1c-7830b66279b5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2665037, 45819, 2468, 51, 238, "Input",ExpressionUUID->"c2df4c5c-010d-4b62-8e1f-17b3185110e4"],
Cell[2667508, 45872, 26875295, 440631, 259, "Output",ExpressionUUID->"6ff0c9cd-0eef-422a-9ee0-284146724aa5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29542840, 486508, 1157, 24, 67, "Input",ExpressionUUID->"58d04cee-8059-458a-9cd9-c5c0957dfc9b"],
Cell[29544000, 486534, 334, 6, 32, "Output",ExpressionUUID->"9b2a079c-5d16-4b37-b710-5a954a05073e"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[29544383, 486546, 217, 5, 67, "Section",ExpressionUUID->"bccb68fa-2e95-49e8-af13-a5a9efc2240f"],
Cell[CellGroupData[{
Cell[29544625, 486555, 15445, 270, 314, "Input",ExpressionUUID->"0ab2e5e3-e3ba-42b5-8ec3-e4eea6db17d4"],
Cell[29560073, 486827, 39298174, 645430, 451, "Output",ExpressionUUID->"35a88e21-6664-454b-bc5c-381a91bc95d5"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[68858296, 1132263, 273, 6, 67, "Section",ExpressionUUID->"6618ab83-7622-4801-9bd9-8264cbeb5049"],
Cell[CellGroupData[{
Cell[68858594, 1132273, 3351, 87, 143, "Input",ExpressionUUID->"e7021291-b42f-4c82-adf8-559a4e9f3653"],
Cell[68861948, 1132362, 325, 9, 32, "Output",ExpressionUUID->"d4722458-7fa7-4484-82ee-278a0facad67"],
Cell[68862276, 1132373, 527, 10, 23, "Message",ExpressionUUID->"d77aebdc-59f6-4946-be0b-b3c2c069bcf5"],
Cell[68862806, 1132385, 528, 10, 23, "Message",ExpressionUUID->"e8548207-aba4-4c8a-b70c-a2b40b0345ab"],
Cell[68863337, 1132397, 526, 10, 23, "Message",ExpressionUUID->"6dab2a89-a837-4763-901b-e16802bc9eeb"],
Cell[68863866, 1132409, 455, 8, 21, "Message",ExpressionUUID->"75a45046-48b6-4ad9-82ce-c0a98c4163af"],
Cell[68864324, 1132419, 13948280, 229861, 448, "Output",ExpressionUUID->"3b95d145-4f69-4cfc-802f-cd84f37a748c"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[82812653, 1362286, 311, 5, 67, "Section",ExpressionUUID->"823229a2-45bb-419e-a29e-cea7363b73df"],
Cell[CellGroupData[{
Cell[82812989, 1362295, 2693, 79, 162, "Input",ExpressionUUID->"92a8caae-c3ac-494b-8724-3e8f4406bedb"],
Cell[82815685, 1362376, 1138, 20, 36, "Output",ExpressionUUID->"2323b5a0-c480-419b-aad9-67bb37d0f7db"],
Cell[82816826, 1362398, 11671, 257, 180, "Output",ExpressionUUID->"2debc0ec-00b4-41be-8862-7e744b472ba0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[82828534, 1362660, 2898, 87, 219, "Input",ExpressionUUID->"339f1a0f-6750-489a-a3c5-a2a0903fc07d"],
Cell[82831435, 1362749, 566, 11, 32, "Output",ExpressionUUID->"18484702-e090-4320-8e1f-8e5586caf7b8"],
Cell[82832004, 1362762, 685, 11, 32, "Output",ExpressionUUID->"eba2bd86-92aa-4f6a-be9d-763b73c1ac31"]
}, Open  ]]
}, Open  ]]
}
]
*)

